spring:
  monitor-server:
    store-type: es
    store-info:
      es:
        table-rule:
          jay_monitor_mq: day
          jay_monitor_url: day
          jay_monitor_sql: day
          jay_monitor_service: day
    transfer-port: 9421
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
#    url: jdbc:mysql://192.168.0.13:3306/elab_db?useUnicode=true&characterEncoding=gbk&zeroDateTimeBehavior
#    username: root
#    password: elab@123
    url: jdbc:mysql://106.14.4.198/jay_monitor?characterEncoding=UTF-8&connectTimeout=60000&socketTimeout=60000
    username: jay_monitor
    password: jayzhou
  alert:
    enable: true
    alert-type:
      dingding:
#        url: https://oapi.dingtalk.com/robot/send?access_token=c2d694e28fd5de8c0b4f42be2e253bb3e4ef1fbb7d589ac377015e738713b995
        url: https://oapi.dingtalk.com/robot/send?access_token=f68223b00613967e969a33b5200667bd054a0f5289fa77e8ec062294625892e4
    alert-rule-config-map:
      URL:
        max-time: 5000
        status-list: [ 500,503,504 ]
      MQ:
        max-time: 1000
        status-list: [ -1 ]
      SQL:
        max-response-count: 150
        max-time: 1000
    log-monitor-url: http://192.168.0.90:2281/cat/r/m/
    server-domain: http://127.0.0.1:5800
    console-url: ${spring.alert.server-domain}/index.html
    server-log-console: ${spring.alert.server-domain}/api/log/console
  oss:
    access-key-id: LTAImNZed054h0YV
    access-key-secret: 8hmhlhiQ2ikmVeLKujwMNWsktFpSzm
    endpoint: https://oss-cn-shanghai.aliyuncs.com
    default-bucket-name: linux-data
    default-bucket-path: alert/image  # 注意不要/开头

elasticsearch:
  host: 127.0.0.1:9200
  enable-env-prefix: true
  max_connect_total: 30
  max_connect_per_route: 30
  connection_request_timeout_millis: 2000
  socket_timeout_millis: 30000
  connect_timeout_millis: 2000